Subject: bug#54422: texlive-texmf info manuals are installed outside INFOPATH

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 16 Mar 2022 10:33:28 -0400

Hello,

vapnik spaknik <[email-masked]> writes:

> I have texlive installed on a foreign distro at : 
>  /gnu/store/7s4hirky82mfdnmakxswsfb3y5pgg3l2-texlive-texmf-20210325/share/texmf-dist 
>
> within that directory I can see doc/info/latex2e.info
> i.e. the info file for latex2e
> However, I there is no symlink in $GUIX_PROFILE/share/info
> so I cant view it with info, unless I create a symlink myself.
>
> I guess this must be an oversight by the package developers, so I'm reporting it here.

The INFOPATH searh path only looks under the share/info installation
prefix; that's why it doesn't see it.

Perhaps there's a way to configure texlive-texmf to install its info
manuals to share/info instead of share/texmf-dist/doc/info;
alternatively we could, at the level of the texlive-texmf package
definition symlink any share/texmf-dist/doc/info/*.info to share/info/.

Would you like to give it a try?

I'm turning this into a proper bug report, by emailing
"[email-masked]".

Thanks for the report!

Maxim